#!/bin/bash
esg_etc="/etc/esg"
ems_etc="/etc/ems"
ems_user="muc"

if [ -f $conf_dir/backup.d/th-e-ems.conf ]; then
    source "$conf_dir/backup.d/th-e-ems.conf"
fi

export_backup() {
    # Make sure the rsync file does not exist yet
    rm -rf $rsync_file > /dev/null 2>&1

    # Export EasySmartGrid properties
    if [ -d $esg_etc ]; then
        echo "$esg_etc" >> $tmp_dir/th-e-ems-rsync.txt
    fi

    # Export th-e-ems configurations
    if [ -d $ems_etc ]; then
        echo "$ems_etc" >> $tmp_dir/th-e-ems-rsync.txt
    fi

    if [ -s "$tmp_dir/th-e-ems-rsync.txt" ]; then
        ssh -i $seal_dir/rsa_key $remote_user@$remote_host "mkdir -p $remote_dir/th-e-ems"

        # Sync th-e-ems configurations
        rsync -rulDtz --rsh="ssh -i $seal_dir/rsa_key" \
                      --files-from="$tmp_dir/th-e-ems-rsync.txt" \
                      --no-relative / $remote_user@$remote_host:$remote_dir/th-e-ems
    fi
}

import_backup() {
    chown $ems_user:$ems_user -R $tmp_dir/th-e-ems

    # Import EasySmartGrid properties
    if [ -f $tmp_dir/esg ]; then
        mkdir -p $esg_etc
        cp -pf $tmp_dir/esg/* $esg_etc/
    fi

    # Import th-e-ems configurations
    if [ -f $tmp_dir/ems ]; then
        mkdir -p $ems_etc
        cp -pf $tmp_dir/esg/* $ems_etc/
    fi
}
